### Method

# St TextureCache load_file_async

#### Declaration [src]

    ClutterActor*
    st_texture_cache_load_file_async (
      StTextureCache* cache,
      GFile* file,
      int available_width,
      int available_height,
      int paint_scale,
      gfloat resource_scale
    )

#### Description [src]

Asynchronously load an image. Initially, the returned texture will have a natural size of zero. At some later point, either the image will be loaded successfully and at that point size will be negotiated, or upon an error, no image will be set.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` of the image file from which to create a pixbuf.

  The data is owned by the caller of the method.

`available_width`

  Type: `int`

  Available width for the image, can be -1 if not limited.

`available_height`

  Type: `int`

  Available height for the image, can be -1 if not limited.

`paint_scale`

  Type: `int`

  Scale factor of the display.

`resource_scale`

  Type: `gfloat`

  Resource scale factor.

#### Return value

Type: `ClutterActor`

A new `ClutterActor` with no image loaded initially.

The data is owned by the instance.